
package com.xunhong.erp.turbo.api.user.api;

import com.xunhong.erp.turbo.api.user.dto.cmd.*;
import com.xunhong.erp.turbo.api.user.dto.qry.EmployeeListQry;
import com.xunhong.erp.turbo.api.user.dto.qry.EmployeePageQry;
import com.xunhong.erp.turbo.api.user.dto.qry.EmployeeShowQry;
import com.xunhong.erp.turbo.api.user.dto.vo.EmployeeVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface EmployeeServiceI {
	EmployeeVO create(EmployeeCreateCmd employeeCreateCmd);

	PageDTO<EmployeeVO> page(EmployeePageQry employeePageQry);

	List<EmployeeVO> list(EmployeeListQry employeeListQry);

	EmployeeVO update(EmployeeUpdateCmd employeeUpdateCmd);

	EmployeeVO show(EmployeeShowQry employeeShowQry);

	void destroy(EmployeeDestroyCmd employeeDestroyCmd);

	void restPassword(EmployeeRestPasswordCmd employeeRestPasswordCmd);

	EmployeeVO disable(EmployeeDisableCmd employeeDisableCmd);

	void updateAvatar(EmployeeUpdateAvatarCmd employeeUpdateAvatarCmd);
}
